<?php
/*-------------------------------------------------------+
| Filename: newsletters.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access denied");
include INCLUDES."html_buttons_include.php";
include INCLUDES."sendmail_include.php";

global $aidlink;
if(!checkrights("R03") || !defined("iAUTH") || $_GET['aid'] != iAUTH) redirect("../index.php");

// zliczanie zapisanych adresow
$newsletters = dbcount("(newsletter_id)", DB_NEWSLETTER);

// sprawdz, czy adres email jest poprawny
function is_email($email) {
    if(preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $email)) {
        return true;
    } else {
        return false;
    }
}

/*
 * USUWANIE ADRESU EMAIL Z LISTY NEWSLETTEROW
 */
if(isSet($_GET['delete']) && isnum($_GET['delete'])) {
    if(dbcount("(newsletter_id)", DB_NEWSLETTER, "newsletter_id='".$_GET['delete']."'") == 1) {
        dbquery("DELETE FROM `".DB_NEWSLETTER."` WHERE newsletter_id='".$_GET['delete']."'");
        $info = $locale['dn_010'];
    } else {
        $info = $locale['dn_011'];
    }
}

/*
 * WYSYLANIE NEWSLETTERA
 */
if(isSet($_POST['send_newsletter'])) {
    $info = "";
    $fromname = stripinput($_POST['fromname']);
    $fromemail = stripinput($_POST['fromemail']);
    $subject = stripinput($_POST['subject']);
    $message = addslash($_POST['message']);

    if(!$fromname || !$fromemail || !$subject || !$message) {
        $info .= $locale['dn_012']."<br />\n";
    }

    if(!is_email($fromemail)) {
        $info .= $locale['dn_013']."<br />\n";
    }

    if($info == NULL) {
        $sql = dbquery("SELECT newsletter_email FROM `".DB_NEWSLETTER."`");
        opentable($locale['dn_014']);
        while($n = dbarray($sql)) {
            if(sendemail($n['newsletter_email'], $n['newsletter_email'], $fromname, $fromemail, $subject, nl2br($message), "html")) {
                echo $locale['dn_015']." ".$n['newsletter_email']."<br />\n";
            } else {
                echo "<strong>".$locale['dn_016']." ".$n['newsletter_email']."</strong><br />\n";
            }
        }
        closetable();
    }
}

// wyswietlanie wiadomosci
if(isSet($info) && $info != NULL) echo "<div id='close-message'><div class='admin-message'>".$info."</div></div>\n";

/*
 * FORMULARZ WYSYLANIA NEWSLETTERA
 */
if($newsletters > 0) {
    echo "<h2>".$locale['dn_017']."</h2>\n";
    echo "<form action='".FUSION_SELF.$aidlink."' method='POST' name='inputform'>\n";
    echo "<table cellspacing='1' cellpadding='0' class='center'>\n";
    echo "<tr>\n";
    echo "<td class='tbl' width='120'>".$locale['dn_018']."</td>\n";
    echo "<td class='tbl' width='80%'><input type='text' name='fromname' class='textbox' style='width:250px' /></td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td class='tbl' width='120'>".$locale['dn_019']."</td>\n";
    echo "<td class='tbl' width='80%'><input type='text' name='fromemail' class='textbox' style='width:250px' /></td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td class='tbl' width='120'>".$locale['dn_020']."</td>\n";
    echo "<td class='tbl' width='80%'><input type='text' name='subject' class='textbox' style='width:250px' /></td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td valign='top' class='tbl' width='120'>".$locale['dn_021']."</td>\n";
    echo "<td class='tbl' width='80%'><textarea name='message' class='textbox' cols='95' rows='10'></textarea></td>\n";
    echo "</tr>\n";
    echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>\n";
    echo display_html("inputform", "message", true, true, true, false);
    echo "</td>\n</tr>\n";
    echo "<tr>\n";
    echo "<td class='tbl' style='vertical-align:top;text-align:center' colspan='2'><input type='submit' class='button' name='send_newsletter' value='".$locale['dn_022']."' /></td>\n";
    echo "</tr>\n";
    echo "</table>\n";
    echo "</form>\n";
}


/*
 * ZESTAWIENIE ZAPISANYCH ADRESOW
 */
echo "<h2>".$locale['dn_041']."</h2>\n";
if($newsletters > 0) {
    echo "<table cellspacing='1' cellpadding='0' class='center tbl-border'>\n";
    echo "<tr>\n";
    echo "<td class='tbl2'><strong>".$locale['dn_042']."</strong></td>\n";
    echo "<td class='tbl2'><strong>".$locale['dn_043']."</strong></td>\n";
    echo "<td class='tbl2'><strong>".$locale['dn_044']."</strong></td>\n";
    echo "<td class='tbl2'><strong>".$locale['dn_045']."</strong></td>\n";
    echo "</tr>\n";
    if(!isSet($_GET['rowstart']) || !isnum($_GET['rowstart'])) {
        $_GET['rowstart'] = 0;
    }
    $sql = dbquery("SELECT * FROM `".DB_NEWSLETTER."` ORDER BY newsletter_datestamp DESC LIMIT ".$_GET['rowstart'].",15");
    $i = 1;
    while($nl = dbarray($sql)) {

        if($nl['newsletter_user'] != 0 && isnum($nl['newsletter_user'])) {
            $u = dbarray(dbquery("SELECT user_name FROM `".DB_USERS."` WHERE user_id='".$nl['newsletter_user']."'"));
            $user = "<a href='".BASEDIR."profile.php?lookup=".$nl['newsletter_user']."'>".$u['user_name']."</a>";
        } else {
            $user = $locale['dn_046'];
        }

        $color = 1;
        if($i%2 == 0) $color = 2;

        echo "<tr>\n";
        echo "<td class='tbl$color'>".$nl['newsletter_email']."</td>\n";
        echo "<td class='tbl$color' style='text-align:center'>$user</td>\n";
        echo "<td class='tbl$color'>".strftime("%d/%m/%Y", $nl['newsletter_datestamp'])." ".strftime("%H:%M", $nl['newsletter_datestamp'])."</td>\n";
        echo "<td class='tbl$color'><a href='".FUSION_SELF.$aidlink."&delete=".$nl['newsletter_id']."'>".$locale['dn_047']."</a></td>\n";
        echo "</tr>\n";
        $i++;
    }
    echo "</table>\n";
    if($newsletters > 15) {
        echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 15 ,$newsletters, 3, FUSION_SELF.$aidlink)."\n</div>\n";
    }
} else {
    echo "<div style='padding:10px 10px 10px 10px;text-align:center'>".$locale['dn_048']."</div>\n";
}
?>