<?php
/*-------------------------------------------------------+
| Filename: settings.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access denied");
include INCLUDES."bbcode_include.php";

// zapisywanie wiadomsci
if(isSet($_POST['save_settings'])) {
    $text = stripinput($_POST['text']);
    $wrong_email = stripinput($_POST['wrong_email']);
    $saved_email = stripinput($_POST['saved_email']);
    $ok_email = stripinput($_POST['ok_email']);
    $save_email = stripinput($_POST['save_email']);
    
    $colorbox = isSet($_POST['colorbox']) ? 1 : 0;
    $dynamic = isSet($_POST['dynamic']) ? 1 : 0;
    $icons = isSet($_POST['icons']) ? 1 : 0;
    $sign_out = isSet($_POST['sign_out']) ? 1 : 0;
    $guests = isSet($_POST['guests']) ? 1 : 0;
    
    $update = true;
    $result = set_setting("text", $text, "duner_newsletter");
    if(!$result) $update = false;
    $result = set_setting("wrong_email", $wrong_email, "duner_newsletter");
    if(!$result) $update = false;
    $result = set_setting("saved_email", $saved_email, "duner_newsletter");
    if(!$result) $update = false;
    $result = set_setting("ok_email", $ok_email, "duner_newsletter");
    if(!$result) $update = false;
    $result = set_setting("save_email", $save_email, "duner_newsletter");
    if(!$result) $update = false;
    
    $result = set_setting("colorbox", $colorbox, "duner_newsletter");
    if(!$result) $update = false;
    $result = set_setting("dynamic", $dynamic, "duner_newsletter");
    if(!$result) $update = false;
    $result = set_setting("icons", $icons, "duner_newsletter");
    if(!$result) $update = false;
    $result = set_setting("sign_out", $sign_out, "duner_newsletter");
    if(!$result) $update = false;
    $result = set_setting("guests", $guests, "duner_newsletter");
    if(!$result) $update = false;
    
    if($update) {
        $info = $locale['dn_023'];
    } else {
        $info = $locale['dn_024'];
    }
}

// generowanie wiadomosci
if(isSet($info) && $info != NULL) {
    echo "<div id='close-message' style='margin-top:10px'><div class='admin-message'>$info</div></div>\n";
}

$newsletter_settings = get_settings("duner_newsletter");

// wyswietl ustawienia
$checkbox = array(
    0 => $newsletter_settings['colorbox'] == 1 ? " checked='checked'" : "",
    1 => $newsletter_settings['dynamic'] == 1 ? " checked='checked'" : "",
    2 => $newsletter_settings['icons'] == 1 ? " checked='checked'" : "",
    3 => $newsletter_settings['sign_out'] == 1 ? " checked='checked'" : "",
    4 => $newsletter_settings['guests'] == 1 ? " checked='checked'" : ""
);

echo "<h2>".$locale['dn_09']."</h2>\n";
echo "<div style='text-align:center'>\n";
echo "<form action='".FUSION_SELF.$aidlink."&tab=".$_GET['tab']."' name='inputform' method='POST'>\n";
echo "<table cellspacing='1' cellpading='0' width='600' class='center'>\n";
echo "<tr><td class='tbl2' colspan='2'><strong>".$locale['dn_025']."</strong></td></tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left' valign='top'>".$locale['dn_026']."</td>\n";
echo "<td class='tbl' width='400' align='left'><textarea class='textbox' rows='4' cols='50' name='text'>".$newsletter_settings['text']."</textarea><br />\n";
echo display_bbcodes("150px;", "text", "inputform", "smiley|b|u|url|color")."</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left' valign='top'>".$locale['dn_027']."</td>\n";
echo "<td class='tbl' width='400' align='left'><textarea class='textbox' rows='4' cols='50' name='wrong_email'>".$newsletter_settings['wrong_email']."</textarea><br />\n";
echo display_bbcodes("150px;", "wrong_email", "inputform", "smiley|b|u|url|color")."</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left' valign='top'>".$locale['dn_028']."</td>\n";
echo "<td class='tbl' width='400' align='left'><textarea class='textbox' rows='4' cols='50' name='saved_email'>".$newsletter_settings['saved_email']."</textarea><br />\n";
echo display_bbcodes("150px;", "saved_email", "inputform", "smiley|b|u|url|color")."</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left' valign='top'>".$locale['dn_029']."</td>\n";
echo "<td class='tbl' width='400' align='left'><textarea class='textbox' rows='4' cols='50' name='ok_email'>".$newsletter_settings['ok_email']."</textarea><br />\n";
echo display_bbcodes("150px;", "ok_email", "inputform", "smiley|b|u|url|color")."</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='200' align='left' valign='top'>".$locale['dn_030']."</td>\n";
echo "<td class='tbl' width='400' align='left'><textarea class='textbox' rows='4' cols='50' name='save_email'>".$newsletter_settings['save_email']."</textarea><br />\n";
echo display_bbcodes("150px;", "save_email", "inputform", "smiley|b|u|url|color")."</td>\n";
echo "</tr>\n";
echo "</table>\n";

echo "<table cellspacing='1' cellpading='0' width='600' class='center'>\n";
echo "<tr><td class='tbl2' colspan='3'><strong>".$locale['dn_031']."</strong></td></tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='300' align='left'><label><input type='checkbox' name='colorbox'".$checkbox[0]." /> ".$locale['dn_032']."</label></td>\n";
echo "<td class='tbl' width='300' align='left'><label><input type='checkbox' name='dynamic'".$checkbox[1]." /> ".$locale['dn_033']."</label></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' width='300' align='left'><label><input type='checkbox' name='icons'".$checkbox[2]." /> ".$locale['dn_034']."</label></td>\n";
echo "<td class='tbl' width='300' align='left'><label><input type='checkbox' name='sign_out'".$checkbox[3]." /> ".$locale['dn_037']."</label></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' colspan='2' width='300' align='left'><label><input type='checkbox' name='guests'".$checkbox[4]." /> ".$locale['dn_038']."</label></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td class='tbl' colspan='3' style='text-align:center;padding-top:20px'><input type='submit' class='button' name='save_settings' value='".$locale['dn_040']."' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "</div>\n";
?>