<?php
/*-------------------------------------------------------+
| Filename: sign_out.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."infusions_include.php";
require_once INFUSIONS."duner_newsletter/infusion_db.php";

if(file_exists(INFUSIONS."duner_newsletter/locale/".$settings['locale'].".php")) {
    include INFUSIONS."duner_newsletter/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."duner_newsletter/locale/English.php";
}

// ustawienia
$newsletter_settings = get_settings("duner_newsletter");

// jesli mozna sie wypisac
if($newsletter_settings['sign_out'] == 1) {
    
    // funkcja sprawdzajaca poprawnosc email
    if(!function_exists("is_email")) {
        function is_email($email) {
            if(preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $email)) {
                return true;
            } else {
                return false;
            }
        }
    }
    
    
    // jesli podano email i hash
    if((isSet($_GET['m']) && is_email($_GET['m'])) && (isSet($_GET['h']) && strlen($_GET['h']) == 32)) {
        $info = "";
        
        $check = dbcount("(out_id)", DB_NEWSLETTER_OUT, "out_email='".stripinput($_GET['m'])."' AND out_hash='".stripinput($_GET['h'])."'");
        $check_mail = dbcount("(out_id)", DB_NEWSLETTER_OUT, "out_email='".stripinput($_GET['m'])."'");
        if($check == 1) {
            $sql = dbquery("DELETE FROM `".DB_NEWSLETTER."` WHERE newsletter_email='".stripinput($_GET['m'])."'");
            if($sql) {
                $info = $locale['dn_049'];
            } else {
                $info = $locale['dn_050'];
            }
        } elseif($check_mail == 1) {
            $info = $locale['dn_051'];
        } else {
            $info = $locale['dn_052'];
        }
    }

    // jesli ktos chce sie wypisac
    if(isSet($_POST['sign_out'])) {
        $info = "";
        $email = stripinput($_POST['email']);
        
        if(!is_email($email)) {
            $info .= $locale['dn_053']."<br />";
        }
        
        if(dbcount("(newsletter_id)", DB_NEWSLETTER, "newsletter_email='$email'") == 0) {
            $info .= $locale['dn_054']."<br />";
        }
        
        if($info == NULL) {
            include INCLUDES."sendmail_include.php";
            
            $hash = md5(time());
            $sql = dbquery("INSERT INTO `".DB_NEWSLETTER_OUT."` VALUES (NULL, '$email', '$hash')");
            if($sql) {
                $message = "<strong>".$locale['dn_055']."</strong><br /><br />";
                $message .= $locale['dn_056']."<br />";
                $message .= "<a href='".$settings['siteurl']."infusions/duner_newsletter/sign_out.php?m=$email&h=$hash' target='_blank'>".$settings['siteurl']."infusions/duner_newsletter/sign_out.php?m=$email&h=$hash</a>";
                /*
                 * TA LINIJKA CHRONIONA JEST PRAWAMI AUTORSKIMI!
                 * THIS LINE IS PROTECTED BY COPYRIGHT LAWS!
                 * http://duner.pl/
                 */
                $message .= "<br /><br /><br /><i>--<br />".$locale['dn_057']." <a href='http://duner.pl/' target='_blank'>duner.pl</a>";
                /*
                 * LINIJKA WYZEJ JEST CHRONIONA PRAWAMI AUTORSKIMI!
                 * LINE ABOVE IS PROTECTED BY COPYRIGHT LAWS!
                 * http://duner.pl/
                 */
                if(sendemail($email, $email, $settings['sitename'], $settings['siteemail'], "Newsletter", $message, "html")) {
                    $info = $locale['dn_058'];
                } else {
                    $info = $locale['dn_059'];
                }
            } else {
                $info = $locale['dn_059'];
            }
        }
    }

    // formularz
    opentable($locale['dn_060']);
    
    // generowanie wiadomosci
    if(isSet($info) && $info != NULL) {
        echo "<div style='text-align:center;font-weight:bold;padding:20px 20px 20px 20px'>$info</div>\n";
    }
    
    echo "<p>".$locale['dn_061']."</p>\n";
    echo "<form action='".FUSION_SELF."' method='POST'>\n";
    echo "<div style='width:100%;text-align:center'>\n";
    echo "<p><input type='text' class='textbox' name='email' style='width:200px' /></p>\n";
    echo "<p><input type='submit' class='button' name='sign_out' value='".$locale['dn_062']."' /></p>\n";
    echo "</div>\n";
    echo "</form>\n";
    closetable();
    
} else {
    // brak mozliwosci wypisania sie -> przekierowanie
    redirect($settings['opening_page']);
}

require_once THEMES."templates/footer.php";
?>
