<?php
/*-------------------------------------------------------+
| Filename: duner_newsletter_panel.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access denied");
require_once INFUSIONS."duner_newsletter/infusion_db.php";
require_once INCLUDES."infusions_include.php";
require_once INCLUDES."bbcode_include.php";      

$newsletter_settings = get_settings("duner_newsletter");

if(($newsletter_settings['guests'] == 1) || ($newsletter_settings['guests'] == 0 && iGUEST)) {
    
    if(!function_exists("is_email")) {
        function is_email($email) {
            if(preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $email)) {
                return true;
            } else {
                return false;
            }
        }
    }

    if(isSet($_POST['save_newsletter'])) {
        if(isSet($_POST['email']) && is_email($_POST['email'])) {
            if(dbcount("(newsletter_id)", DB_NEWSLETTER, "newsletter_email='".stripinput($_POST['email'])."'") == 0) {
                if(iMEMBER) {
                    $user = $userdata['user_id'];
                } else {
                    $user = 0;
                }
                dbquery("INSERT INTO `".DB_NEWSLETTER."` VALUES (NULL, '".stripinput($_POST['email'])."', '$user', '".time()."')");
                $info = parsesmileys(parseubb($newsletter_settings['save_email']));
            } else {
                $info = parsesmileys(parseubb($newsletter_settings['saved_email']));
            }
        } else {
            $info = parsesmileys(parseubb($newsletter_settings['wrong_email']));
        }
    }

    if(isSet($info) && $info != NULL && $newsletter_settings['colorbox'] == 1) {
        add_to_head("<link rel='stylesheet' href='".INCLUDES."jquery/colorbox/colorbox.css' type='text/css' media='screen' />");
        add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/colorbox/jquery.colorbox.js'></script>");
        echo "<script type='text/javascript'>\n";
        echo "$(function() {\n";
        echo "$.colorbox({html: \"<div style='padding:15px 15px 15px 15px'>$info</div>\"});";
        echo "});\n";
        echo "</script>\n";
    }

    if($newsletter_settings['dynamic'] == 1) {
        echo "<script type='text/javascript'>\n";
        echo "$(function() {\n";
        echo "$('#duner_newsletter').keyup(function() {\n";
        echo "var email = $('#duner_newsletter').val();\n";
        echo "$.post('".INFUSIONS."duner_newsletter_panel/includes/checkemail.php', { email: email },\n";
        echo "function(result) {\n";
        echo "if(result == 2) {\n";
        echo "$('#duner_ok').show();\n";
        echo "$('#duner_busy').hide();\n";
        echo "$('#duner_wrong').hide();\n";
        echo "} else if(result == 1) {\n";
        echo "$('#duner_busy').show();\n";
        echo "$('#duner_ok').hide();\n";
        echo "$('#duner_wrong').hide();\n";
        echo "} else {\n";
        echo "$('#duner_wrong').show();\n";
        echo "$('#duner_busy').hide();\n";
        echo "$('#duner_ok').hide();\n";
        echo "}\n";
        echo "});\n";
        echo "});\n";
        echo "});\n";
        echo "</script>\n";
    }

    openside("Newsletter");
    echo "<div style='float:left;width:100%;text-align:center'>\n";
        echo "<p>".parsesmileys(parseubb($newsletter_settings['text']))."</p>\n";
        echo "<form action='".FUSION_SELF."' method='POST'>\n";
        echo "<input type='text' name='email' id='duner_newsletter' class='textbox' value='Twój email' onfocus='if(this.value==\"Twój email\")this.value=\"\";' onblur='if(this.value==\"\")this.value=\"Twój email\";' />\n";
        if($newsletter_settings['sign_out'] == 1) {
            echo "<p style='text-align:center'><a href='".INFUSIONS."duner_newsletter/sign_out.php'>Wypisz się</a></p>\n";
        }
        echo "<p id='duner_ok' style='display:none'>\n";
        if($newsletter_settings['icons'] == 1) {
            echo "<img src='".INFUSIONS."duner_newsletter_panel/images/accept-icon.png' width='12' height='12' />";
        }
        echo parsesmileys(parseubb($newsletter_settings['ok_email']))."\n";
        echo "</p>\n";
        echo "<p id='duner_busy' style='display:none'>\n";
        if($newsletter_settings['icons'] == 1) {
            echo "<img src='".INFUSIONS."duner_newsletter_panel/images/important-icon.png' width='12' height='12' />\n";
        }
        echo parsesmileys(parseubb($newsletter_settings['saved_email']))."</p>\n";
        echo "<p id='duner_wrong' style='display:none'>\n";
        if($newsletter_settings['icons'] == 1) {
            echo "<img src='".INFUSIONS."duner_newsletter_panel/images/important-icon.png' width='12' height='12' />\n";
        }
        echo parsesmileys(parseubb($newsletter_settings['wrong_email']))."</p>\n";
        echo "<input type='submit' class='button' name='save_newsletter' value='Zapisz' style='margin-top:10px' />\n";
        echo "</form>\n";
    echo "</div>\n";
    closeside();
}
?>
