<?php
/*-------------------------------------------------------+
| Filename: admin.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";
include INFUSIONS."duner_newsletter/infusion_db.php";
include INCLUDES."infusions_include.php";

global $aidlink;
if(!checkrights("R03") || !defined("iAUTH") || $_GET['aid'] != iAUTH) redirect("../index.php"); 

$newsletter_settings = get_settings("duner_newsletter");

if(file_exists(INFUSIONS."duner_newsletter/locale/".$settings['locale'].".php")) {
    include INFUSIONS."duner_newsletter/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."duner_newsletter/locale/English.php";
}

// ustawianie zakladki
if(!isSet($_GET['tab']) || !isnum($_GET['tab'])) {
    $_GET['tab'] = 1;
}

opentable($locale['dn_01']);

echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
echo "<tr>\n";
if($_GET['tab'] == 1) {
    echo "<td class='tbl1' style='font-weight:bold' width='33%'>".$locale['dn_08']."</td>\n";
} else {
    echo "<td class='tbl2' width='33%'><a href='".FUSION_SELF.$aidlink."&tab=1'>".$locale['dn_08']."</a></td>\n";
}
if($_GET['tab'] == 2) {
    echo "<td class='tbl1' style='font-weight:bold' width='33%'>".$locale['dn_09']."</td>\n";
} else {
    echo "<td class='tbl2' width='33%'><a href='".FUSION_SELF.$aidlink."&tab=2'>".$locale['dn_09']."</a></td>\n";
}
echo "</tr>\n";
echo "<tr>\n<td colspan='4' class='tbl1' style='padding-top:15px'>\n";
if($_GET['tab'] == 1) {
    include INFUSIONS."duner_newsletter/admin/newsletters.php";
} elseif($_GET['tab'] == 2) {
    include INFUSIONS."duner_newsletter/admin/settings.php";
}
echo "</td>\n</tr>";
echo "</table>\n";
closetable();

require_once THEMES."templates/footer.php";
?>
