<?php
/*-------------------------------------------------------+
| Filename: infusion.php
| Author: Mateusz Sieprawski - http://duner.info/
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access Denied");

require_once INFUSIONS."duner_newsletter/infusion_db.php";

if(file_exists(INFUSIONS."duner_newsletter/locale/".$settings['locale'].".php")) {
    include INFUSIONS."duner_newsletter/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."duner_newsletter/locale/English.php";
}

$inf_title = $locale['dn_01'];
$inf_description = $locale['dn_02'];
$inf_version = "1.0";
$inf_developer = "duner.pl";
$inf_email = "mateusz@duner.pl";
$inf_weburl = "http://duner.pl/";
$inf_folder = "duner_newsletter";

$inf_newtable[1] = DB_NEWSLETTER." (
    newsletter_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    newsletter_email VARCHAR(100) NOT NULL DEFAULT '',
    newsletter_user INT(11) NOT NULL DEFAULT '0',
    newsletter_datestamp INT(11) NOT NULL DEFAULT '0',
    PRIMARY KEY(newsletter_id)
) ENGINE=MyISAM";

$inf_newtable[2] = DB_NEWSLETTER_OUT." (
    out_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    out_email VARCHAR(100) NOT NULL DEFAULT '',
    out_hash VARCHAR(32) NOT NULL DEFAULT '',
    PRIMARY KEY(out_id)
) ENGINE=MyISAM";


$inf_droptable[1] = DB_NEWSLETTER;
$inf_droptable[2] = DB_NEWSLETTER_OUT;

$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('text', '".$locale['dn_03']."', '$inf_folder')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('wrong_email', '".$locale['dn_04']."', '$inf_folder')";
$inf_insertdbrow[3] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('saved_email', '".$locale['dn_05']."', '$inf_folder')";
$inf_insertdbrow[4] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('ok_email', '".$locale['dn_06']."', '$inf_folder')";
$inf_insertdbrow[5] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('save_email', '".$locale['dn_07']."', '$inf_folder')";
$inf_insertdbrow[6] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('colorbox', '1', '$inf_folder')";
$inf_insertdbrow[7] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('dynamic', '1', '$inf_folder')";
$inf_insertdbrow[8] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('icons', '1', '$inf_folder')";
$inf_insertdbrow[9] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('sign_out', '1', '$inf_folder')";
$inf_insertdbrow[10] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES ('guests', '1', '$inf_folder')";

$inf_adminpanel[1] = array(
    "title" => $locale['dn_01'],
    "image" => "duner.gif",
    "panel" => "admin/admin.php",
    "rights" => "R03"
);
?>